NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::GuidedExtensionBuilder Class Reference

Builder for creating Guided Extension surface in NX
To create a new instance of this class, use NXOpen::Tooling::GuidedExtensionManager::CreateBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::GuidedExtensionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  SegmentType { SegmentTypeNormal, SegmentTypeTransition, SegmentTypeBypass }
 Segment type for segments. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance for use in creating the guided extension surfaces
Created in NX9.0.0. More...
 
void ChangeGuideLineDirectionAndLength (NXOpen::Curve *guideLine, const NXOpen::Vector3d &guideLineVector, double guideLineLength)
 Changes the direction and length of a guide line. More...
 
bool CheckSurfaces ()
 Returns the option for checking the resulting guided extension surfaces for geometry issues
Created in NX9.0.0. More...
 
NXOpen::CurveCreateGuideLine (NXOpen::Edge *assocEdge, const NXOpen::Point3d &guideLinePnt, const NXOpen::Vector3d &guideLineVector, double guideLineLength)
 Creates a guide line at one of the end points of the sheet edge in the selection. More...
 
double DistanceTolerance ()
 Returns the distance tolerance for use in creating the guided extension surfaces
Created in NX9.0.0. More...
 
NXOpen::ExpressionExtendLength ()
 Returns the extend length for use in creating the guided extension surfaces
Created in NX9.0.0. More...
 
NXOpen::ExpressionGuideLineAngle1 ()
 Returns the rotation angle for the first guide line at one of the end points of the selected segment
Created in NX9.0.0. More...
 
NXOpen::ExpressionGuideLineAngle2 ()
 Returns the rotation angle for the second guide line at one of the end points of the selected segment
Created in NX9.0.0. More...
 
void MergeSegment ()
 Merges the selected segment with its neighboring segments. More...
 
void ResetAllSegments ()
 The action that resets all the segments in the loop to their original state
Created in NX9.0.0. More...
 
void RestoreSegments ()
 Unmerges the selected segment restoring the original segments before the merge using Tooling::GuidedExtensionBuilder::MergeSegment . More...
 
NXOpen::ScCollectorSegmentEdges ()
 Returns the list of segment edges that represent a segment
Created in NX9.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance for use in creating the guided extension surfaces
Created in NX9.0.0. More...
 
void SetCheckSurfaces (bool checkSurfaces)
 Sets the option for checking the resulting guided extension surfaces for geometry issues
Created in NX9.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance for use in creating the guided extension surfaces
Created in NX9.0.0. More...
 
void SetLastSelectedLoopIndex (int lastSelectedLoopIndex)
 Sets the loop index for the last selected loop which contains the last selected edge. More...
 
void SetReverseExtendDirection (bool reverseExtendDirection)
 Reverses surface extend direction
Created in NX9.0.0. More...
 
void SetSelectedSegmentType (NXOpen::Tooling::GuidedExtensionBuilder::SegmentType segmentType)
 Sets the segment type for the selected segment. More...
 
NXOpen::SectionSheetEdges ()
 Returns the sheet edges of a sheet body
Created in NX9.0.0. More...
 
void SplitSegment ()
 Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment. More...
 
void UpdateAllGuideLinesLength ()
 Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively. More...
 
void UpdateSheetEdges ()
 Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder for creating Guided Extension surface in NX
To create a new instance of this class, use NXOpen::Tooling::GuidedExtensionManager::CreateBuilder
Default values.

Property Value

AngleTolerance

0.5

CheckSurfaces

0

DistanceTolerance

0.01

ExtendLength.Value

10 (millimeters part), 10 (inches part)

GuideLineAngle1.Value

0

GuideLineAngle2.Value

0


Created in NX9.0.0.

Member Enumeration Documentation

Segment type for segments.

Enumerator
SegmentTypeNormal 

Normal segment type.

SegmentTypeTransition 

Transition segment type.

SegmentTypeBypass 

Bypass segment type.

Member Function Documentation

double NXOpen::Tooling::GuidedExtensionBuilder::AngleTolerance ( )

Returns the angle tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::ChangeGuideLineDirectionAndLength ( NXOpen::Curve guideLine,
const NXOpen::Vector3d guideLineVector,
double  guideLineLength 
)

Changes the direction and length of a guide line.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
guideLineGuide line to be changed
guideLineVectorDirection vector
guideLineLengthLength of guide line
bool NXOpen::Tooling::GuidedExtensionBuilder::CheckSurfaces ( )

Returns the option for checking the resulting guided extension surfaces for geometry issues
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

NXOpen::Curve* NXOpen::Tooling::GuidedExtensionBuilder::CreateGuideLine ( NXOpen::Edge assocEdge,
const NXOpen::Point3d guideLinePnt,
const NXOpen::Vector3d guideLineVector,
double  guideLineLength 
)

Creates a guide line at one of the end points of the sheet edge in the selection.

Returns
Guide line created
Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")
Parameters
assocEdgeAssociated curve of the guide line to be created
guideLinePntGuide line point
guideLineVectorGuide line vector
guideLineLengthGuide line length
double NXOpen::Tooling::GuidedExtensionBuilder::DistanceTolerance ( )

Returns the distance tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

NXOpen::Expression* NXOpen::Tooling::GuidedExtensionBuilder::ExtendLength ( )

Returns the extend length for use in creating the guided extension surfaces
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

NXOpen::Expression* NXOpen::Tooling::GuidedExtensionBuilder::GuideLineAngle1 ( )

Returns the rotation angle for the first guide line at one of the end points of the selected segment
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

NXOpen::Expression* NXOpen::Tooling::GuidedExtensionBuilder::GuideLineAngle2 ( )

Returns the rotation angle for the second guide line at one of the end points of the selected segment
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::MergeSegment ( )

Merges the selected segment with its neighboring segments.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::ResetAllSegments ( )

The action that resets all the segments in the loop to their original state
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::RestoreSegments ( )

Unmerges the selected segment restoring the original segments before the merge using Tooling::GuidedExtensionBuilder::MergeSegment .


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

NXOpen::ScCollector* NXOpen::Tooling::GuidedExtensionBuilder::SegmentEdges ( )

Returns the list of segment edges that represent a segment
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
angleToleranceangletolerance
void NXOpen::Tooling::GuidedExtensionBuilder::SetCheckSurfaces ( bool  checkSurfaces)

Sets the option for checking the resulting guided extension surfaces for geometry issues
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
checkSurfaceschecksurfaces
void NXOpen::Tooling::GuidedExtensionBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance for use in creating the guided extension surfaces
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Tooling::GuidedExtensionBuilder::SetLastSelectedLoopIndex ( int  lastSelectedLoopIndex)

Sets the loop index for the last selected loop which contains the last selected edge.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
lastSelectedLoopIndexLoop index of the last selected loop
void NXOpen::Tooling::GuidedExtensionBuilder::SetReverseExtendDirection ( bool  reverseExtendDirection)

Reverses surface extend direction
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
reverseExtendDirectionReverse surface extend direction
void NXOpen::Tooling::GuidedExtensionBuilder::SetSelectedSegmentType ( NXOpen::Tooling::GuidedExtensionBuilder::SegmentType  segmentType)

Sets the segment type for the selected segment.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

Parameters
segmentTypeSegment type for the selected segment
NXOpen::Section* NXOpen::Tooling::GuidedExtensionBuilder::SheetEdges ( )

Returns the sheet edges of a sheet body
Created in NX9.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::SplitSegment ( )

Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::UpdateAllGuideLinesLength ( )

Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::GuidedExtensionBuilder::UpdateSheetEdges ( )

Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.